Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## classes
Class Partner

    java.lang.Object
      classes.Partner

    public class Partner

extends java.lang.Object

A Partner osztály segítségével a vállalat üzletfeleiről tárolhatunk információkat

Constructor Summary
`Partner(int id, java.lang.String nameOfPartner, java.lang.String addressOfPartner, java.lang.String bankAccount, java.lang.String taxNumber)` Létrehoz egy Partner objektumot a megadott értékekkel.

Method Summary
`java.lang.String` | `getAddressOfPartner()` A metódus segítségével lekérdezhető a partner telephelyének címe.
`java.lang.String` | `getBankAccount()` A metódus segítségével lekérdezhető a partner bankszámlaszáma.
`int` | `getId()` A metódus segítségével lekérdezhető a partner azonosítója.
`java.lang.String` | `getNameOfPartner()` A metódus segítségével lekérdezhető a partner neve.
`java.lang.String` | `getTaxNumber()` A metódus segítségével lekérdezhető a partner adószáma.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Partner

    public Partner(int id,
                   java.lang.String nameOfPartner,
                   java.lang.String addressOfPartner,
                   java.lang.String bankAccount,
                   java.lang.String taxNumber)

  Létrehoz egy Partner objektumot a megadott értékekkel.

  Parameters:
    `id` - A partner azonosítószáma
    `nameOfPartner` - A partner neve
    `addressOfPartner` - A partner telephelyének címe
    `bankAccount` - A partner bankszámlaszáma (lehet null is)
    `taxNumber` - A partner adószáma (lehet null is)

Method Detail

### getId

    public int getId()

  A metódus segítségével lekérdezhető a partner azonosítója.

  Returns:
    A partner azonosítószáma

### getAddressOfPartner

    public java.lang.String getAddressOfPartner()

  A metódus segítségével lekérdezhető a partner telephelyének címe.

  Returns:
    A partner pontos címe

### getNameOfPartner

    public java.lang.String getNameOfPartner()

  A metódus segítségével lekérdezhető a partner neve.

  Returns:
    A partner neve

### getBankAccount

    public java.lang.String getBankAccount()

  A metódus segítségével lekérdezhető a partner bankszámlaszáma.

  Returns:
    A partner bankszámlaszáma

### getTaxNumber

    public java.lang.String getTaxNumber()

  A metódus segítségével lekérdezhető a partner adószáma.

  Returns:
    A partner adószáma

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD